<!DOCTYPE html>
<html>

<head>
	<meta charset="utf-8">
	<meta name="viewport" content="width=device-width">
	<link rel="icon" href="data:;base64,iVBORw0KGgo=">
	<title>button-play-audio</title>
	<meta name="description" content="button-play-audio">
	<link rel="stylesheet" href="./styles/index.css" />

	<link button-play-audio rel="stylesheet" href="https://fonts.googleapis.com/css2?family=Material+Symbols+Outlined:opsz,wght,FILL,GRAD@20..48,100..700,0..1,-50..200" />
	<link button-play-audio rel="stylesheet" href="https://fonts.googleapis.com/css2?family=Material+Symbols+Rounded:opsz,wght,FILL,GRAD@20..48,100..700,0..1,-50..200" />
	<link button-play-audio rel="stylesheet" href="https://fonts.googleapis.com/css2?family=Material+Symbols+Sharp:opsz,wght,FILL,GRAD@20..48,100..700,0..1,-50..200" />

	<link button-play-audio rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/6.2.0/css/all.min.css" integrity="sha512-xh6O/CkQoPOWDdYTDqeRdPCVd1SpvCA9XXcUnZS2FmJNp1coAFzvtCN9BmamE+4aHK8yyUHUSCcJHgXloTyT2A==" crossorigin="anonymous" referrerpolicy="no-referrer" />

	<style>
		.material-symbols-rounded {
			font-variation-settings:
				'FILL' 1,
				'wght' 300,
				'GRAD' 200,
				'opsz' 48
		}
	</style>

	<script type="module" src="./index.js"></script>
	<script src="https://unpkg.com/@lottiefiles/lottie-player@latest/dist/lottie-player.js"></script>
</head>

<body>
	<site-header>
		<h1>
			&lt;
			<code>button-play-audio</code>
			/&gt;
		</h1>
	</site-header>

	<site-main>
		<section>
			<details>
				<summary>
					A button plays an audio file from a <code>url</code>
				</summary>
				<button-play-audio
					url="https://upload.wikimedia.org/wikipedia/commons/6/68/Bicycle-bell-1.wav"
					text="click to play sound"></button-play-audio>
			</details>
		</section>

		<section>
			<details>
				<summary>Button can have icons (unicode, emojis), using the <code>icon</code> slot</summary>
				<button-play-audio url="https://upload.wikimedia.org/wikipedia/commons/9/9e/Snare_sem_reverb.ogg"
					text="yet an other planet">
					<i slot="icon">
						🌍
					</i>
				</button-play-audio>

				<button-play-audio type="featured"
					url="https://upload.wikimedia.org/wikipedia/commons/8/85/Dropping_rolled_up_water_hose_4_%28Gravity_Sound%29.wav">
					<i slot="icon">
						↬
					</i>
					<details slot="text">
						<summary>yet an other <strong>click</strong></summary>
						But why?
					</details>
				</button-play-audio>
			</details>
		</section>

		<section>
			<details>
				<summary>An icon can also be a google material symbol, using the <code>symbol</code> and <code>symbol-type</code> attribute</summary>
				<button-play-audio symbol="celebration" symbol-type="rounded" text="rounded" url="https://upload.wikimedia.org/wikipedia/commons/c/cb/LL-Q7411_%28nld%29-Ropsterkwater-Bass-Drum.wav">
				</button-play-audio>
				<button-play-audio
					symbol="celebration" symbol-type="sharp" text="sharp" url="https://upload.wikimedia.org/wikipedia/commons/4/44/LL-Q1860_%28eng%29-I_learned_some_phrases-snares.wav">
				</button-play-audio>
				<button-play-audio
					symbol="celebration" symbol-type="outlined" text="outlined" url="https://upload.wikimedia.org/wikipedia/commons/3/33/Nl-hihats.ogg">
				</button-play-audio>
				<button-play-audio
					symbol="liquor" symbol-type="outlined" text="¿!?" url="https://upload.wikimedia.org/wikipedia/commons/c/c4/Drum_Roll_Intro.ogg">
				</button-play-audio>
				<button-play-audio url="https://upload.wikimedia.org/wikipedia/commons/b/bb/En-us-walk.ogg"
					text="walk it out" symbol="hiking" fa-play="fa-shake">
				</button-play-audio>
			</details>
		</section>

		<section>
			<details>
				<summary>It is also possible to use the <code>font-awesome</code> library, for icons and animations, using the <code>fa</code>attribute, like you'd use the <code>class</code> attribute. <code>fa-play</code> attribute, will add these classes only when the audio is playing (and can be used with google material <code>symbol</code> too)</summary>
				<button-play-audio fa="fa-solid fa-street-view" text="fa-street-view" url="https://upload.wikimedia.org/wikipedia/commons/1/13/Bow_Street.ogg"></button-play-audio>
				<button-play-audio fa="fa-solid fa-dove" text="fa-dove" url="https://upload.wikimedia.org/wikipedia/commons/b/b8/Mystery_mystery_-_Identity_unknown_XC302835.mp3"></button-play-audio>
				<button-play-audio fa="fa-solid fa-skull-crossbones" fa-play="fa-fade" text="fa-skull-crossbones" url="https://upload.wikimedia.org/wikipedia/commons/e/ec/Ruido_rosa.ogg"></button-play-audio>
				<button-play-audio fa="fa-solid fa-wind" fa-play="fa-flip" text="fa-wind" url="https://upload.wikimedia.org/wikipedia/commons/f/fd/De-Wind2.ogg" style="--fa-animation-duration: 3s;"></button-play-audio>
			</details>
		</section>

		<section>
			<details>
				<summary>Button with an <code>icon</code> slot, with a <code>lottie-player</code> animation inside</summary>
				<button-play-audio
					url="https://upload.wikimedia.org/wikipedia/commons/7/79/Dropping_rolled_up_water_hose_%28Gravity_Sound%29.wav">
					<lottie-player slot="icon" speed="1.3" style="width: 10rem;"
						src="https://assets1.lottiefiles.com/datafiles/DJyJpOnuyK5DEaGtKEpWNPbjUjGJSMhr2sFgGaZS/AE_JSON/BT_WB.json">
					</lottie-player>
				</button-play-audio>
				<button-play-audio url="https://upload.wikimedia.org/wikipedia/commons/3/33/Dial_up_modem_noises.ogg">
					<lottie-player slot="icon" speed="1" controls="true" mode="bounce" loop="true" count="0" style="width: 10rem;"
						src="https://assets1.lottiefiles.com/datafiles/DJyJpOnuyK5DEaGtKEpWNPbjUjGJSMhr2sFgGaZS/AE_JSON/BT_WB.json">
					</lottie-player>
				</button-play-audio>
			</details>
		</section>
	</site-main>

	<site-footer>
		<menu>
			<li>
				<a href="https://gitlab.com/publicservices/web-components/button-play-audio">code, examples & documentation</a>
			</li>
		</menu>
	</site-footer>
</body>

</html>
